# Update a version

Update information or content of the specific template version. Existing fields not included in the request will not be changed

Endpoint: PUT /v3/{domain_name}/templates/{template_name}/versions/{version_name}
Version: 3.0.0
Security: basicAuth

## Path parameters:

  - `domain_name` (string, required)
    Domain name the template is associated with.

  - `template_name` (string, required)
    Template name the version is stored under.

  - `version_name` (string, required)
    Tag of the version of the template to be updated

## Request fields (multipart/form-data):

  - `template` (string)
    Content of the template.

  - `comment` (string)
    Comment related to the version that is being created.

  - `active` (string)
    If this flag is set to yes, this version becomes active

  - `headers` (string)
    Key value JSON object of headers to be stored with the template. Where key is the header name and value is the header value. The header names From, Subject, and Reply-To are the only ones currently supported.  These headers will be inserted into the MIME at the time we attempt delivery.

## Response 200 fields (application/json):

  - `message` (string, required)
    Response message

  - `template` (object, required)
    Template change details

  - `template.name` (string, required)
    Name of the template

  - `template.version` (any)
    Template version details

## Response 401 fields (application/json):

  - `message` (string, required)
    Response message

## Response 404 fields (application/json):

  - `message` (string, required)
    Response message

## Response 500 fields (application/json):

  - `message` (string, required)
    Response message


